Show / Hide Table of Contents

# Class CustomStatusGame

A user's activity for their custom status.

##### Inheritance

System.Object
Game
CustomStatusGame

##### Implements

IActivity

##### Inherited Members

Game.Name
Game.Type
Game.Flags
Game.Details
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class CustomStatusGame : Game, IActivity

### Properties

| Improve this Doc View Source

#### CreatedAt

Gets the timestamp of when this status was created.

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset | A System.DateTimeOffset containing the time when this status was created.

| Improve this Doc View Source

#### Emote

Gets the emote, if it is set.

##### Declaration

    public IEmote Emote { get; }

##### Property Value

Type | Description
--- | ---
IEmote | An IEmote containing the Emoji or GuildEmote set by the user.

| Improve this Doc View Source

#### State

Gets the state of the status.

##### Declaration

    public string State { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

Game.ToString()

### Implements

IActivity